<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.wx.mapper.WxMenuMapper">

    <resultMap type="WxMenu" id="WxMenuResult">
        <result property="id"    column="id"    />
        <result property="parentId"    column="parent_id"    />
        <result property="type"    column="type"    />
        <result property="menuName"    column="menu_name"    />
        <result property="clickKey"    column="click_key"    />
        <result property="url"    column="url"    />
        <result property="mediaId"    column="media_id"    />
        <result property="appid"    column="appid"    />
        <result property="pagePath"    column="page_path"    />
        <result property="articleId"    column="article_id"    />
        <result property="sort"    column="sort"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectWxMenuVo">
        select * from wx_menu
    </sql>

    <select id="selectWxMenuList" resultType="com.miaxis.wx.vo.WxMenuVo">
        <include refid="selectWxMenuVo"/>
        ORDER BY sort
    </select>

</mapper>